Void a signed contract
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/contracts/{id}/void \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Signed on the wrong adoption."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Signed on the wrong adoption.'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/contracts/{id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/contracts/{id}/void"
payload = { "reason": "Signed on the wrong adoption." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"signature": {
"id": "<string>",
"contract_name": "<string>",
"contract_version": "<string>",
"signer_name": "<string>",
"signed_at": "2023-11-07T05:31:56Z",
"entity_type": "adoption",
"entity_id": "<string>",
"is_voided": true,
"template_id": "<string>",
"contract_body": "<string>",
"contract_body_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
],
"items": [
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
],
"level": 1,
"rows": [
[
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
]
],
"src": "<string>",
"alt": "<string>"
}
],
"signer_person_id": "<string>",
"signer_email": "<string>",
"consent_acknowledged": true,
"recorded_by_person_id": "<string>",
"media_release": 1,
"application_id": "<string>",
"adoption_ids": [
"<string>"
],
"approved_by_person_id": "<string>",
"approved_by_name": "<string>",
"completed_where_kind": "location",
"completed_where_id": "<string>",
"completed_where_label": "<string>",
"payment_method": "<string>",
"payment_instructions": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"voided_by_person_id": "<string>",
"void_reason": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Signed contracts
Void a signed contract
Marks a signed contract as void, with the reason. It is not deleted and its text is kept. This cannot be undone. Voiding does not clear the adoption’s contract record. Needs write on Animals.
POST
/
api
/
animals
/
contracts
/
{id}
/
void
Void a signed contract
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/contracts/{id}/void \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Signed on the wrong adoption."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Signed on the wrong adoption.'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/contracts/{id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/contracts/{id}/void"
payload = { "reason": "Signed on the wrong adoption." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"signature": {
"id": "<string>",
"contract_name": "<string>",
"contract_version": "<string>",
"signer_name": "<string>",
"signed_at": "2023-11-07T05:31:56Z",
"entity_type": "adoption",
"entity_id": "<string>",
"is_voided": true,
"template_id": "<string>",
"contract_body": "<string>",
"contract_body_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
],
"items": [
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
],
"level": 1,
"rows": [
[
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
]
],
"src": "<string>",
"alt": "<string>"
}
],
"signer_person_id": "<string>",
"signer_email": "<string>",
"consent_acknowledged": true,
"recorded_by_person_id": "<string>",
"media_release": 1,
"application_id": "<string>",
"adoption_ids": [
"<string>"
],
"approved_by_person_id": "<string>",
"approved_by_name": "<string>",
"completed_where_kind": "location",
"completed_where_id": "<string>",
"completed_where_label": "<string>",
"payment_method": "<string>",
"payment_instructions": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"voided_by_person_id": "<string>",
"void_reason": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The signature's ID.
Body
application/json
Why it is void.
Response
The signed contract, voided.
A signed contract. It is never changed or deleted: a mistaken one is voided, with a reason, and stays.
Show child attributes
Show child attributes